2 Replies Latest reply: Dec 13, 2012 3:42 PM by 929532 RSS

    Oracle VM with Old Database Systems

    InquisitiveDBA
      I am new to Oracle VM Server Technology (but I am a user of Oracle Virtual Box :) )

      I would like to know if i can use this technology as a solution to our company needs. We have very old servers with very old database versions. For an instance, we have Oracle 8.1.0.7 running on Windows 2000. We cannot upgrade the system because our application. We no longer have contact with the application developers and the vendor. Now our server is giving up... Can we use Oracle VM Technology to virtualize our current environment? If so, how can we possibly do that? I have been reading the documentation, but I didnt find sample deployment in doing this (or maybe I just missed that part or something....)

      Thank you..

      I found this blogsite: https://blogs.oracle.com/virtualization/entry/converting_linux_and_windows_p
        • 1. Re: Oracle VM with Old Database Systems
          user12273962
          You can try but only 10.2.0.3 databases and up are certified on Oracle VM. 10.2.0.4 and higher for RAC. Check this article.

          Certified Software on Oracle VM [ID 464754.1]

          Also, windows 2000 is only supported via hardware virtualization and only with version 2 releases. Not version 3 or higher.

          It might work. Might not. I'd say you best bet is to run it on Virtual Box. or you can run it on windows 2003 virtualization. I still have an old NT 4 server running isolated on windows 2003 virtualization that pumps out thousands of reports a day.
          • 2. Re: Oracle VM with Old Database Systems
            929532
            In terms of support, we are looking to migrate Oracle 8 through 10g from Solaris and AIX to linux VMs on Oracle VM Server as well. The way I look at the big picture, I would rather an unsupported configuration run on a modern hypervisor system with workload mobility, hardware independence, HA, remote consoles and admin capability etc than an unsupported configuration on a bare-metal sparc or power system. Any Oracle 8 is pretty unsupported in any capacity, due to running only on out of date OSes that have to be paired with ancient hardware so I would rather remediate the hardware risks than not.